<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$objetocalculoRaioX = new calculosFichaVirtual(); //calcula todos valores finais

$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
 $pdf->open();//abre o fpdf
 //$pdf->AddPage();//adicionando a primera pafina
 $pdf->SetFont('Arial','',12);
 $pdf->SetDrawColor(10,10,10);
 $maximoHAdobe=297;//isso para vertical
 $maximoLAdobe=210;//isso para vertical
 $maximoLAdobe=297;//isso para horizontal
 $maximoHAdobe=210;//isso para horizontal
 $margemEsquerdaExterna=10;
 $margemEsquerda=15;
 $margemAcima=15;
 $mzx=$margemEsquerda;//marco zero x
 $mzy=$margemAcima;   //marco zero y
 $margemDireita=$maximoLAdobe-6;
 $larguraUtil=$maximoLAdobe-16;
 $futer=$maximoHAdobe-10;
 $cinza=220;
 $pdf->SetFillColor($cinza,$cinza,$cinza);
 $grosso=0.7;
 $medio=0.4;
 $fino=0.3;
 $extraFino=0.2;

 $nomeOperador=5;
 $pdf->SetFillColor($cinza,$cinza,$cinza); 
 
 
for($registro=$inicio;$registro<=$final;$registro++):
$amostraLong=$objetocalculo->AchaIdAmostraTendoRegistro($registro);					 

$userTTAP = new amostras();
 $userTTAP->extras_select =  " WHERE fic_id=".$amostraLong; //esse ja funfa, errado mas funfa
 $userTTAP->selecionaCampos($userTTAP);
 $disparaCabecalho=1;
 //echo("sssssssssql= $userTTAP->extras_select <br>");				 
   while ($resTTAP = $userTTAP->retornaDados()):
     if($disparaCabecalho==1):
	     $disparaCabecalho=0;
		 $pdf->AddPage();//adicionando a primera pafina 
	     $disparaCabecalho=0;	
         $fonte="Arial";
		 $caminhoFinal="ImagensClientes/imagemfichaADV_imprimir.JPG";
         $pdf->Image($caminhoFinal,$mzx,$mzy,185.7,262.4,'JPG');
	     ####################################CABECALHO################################################
		 $vetorRaioX=$objetocalculoRaioX->capturaGeralRaioX($amostraLong);
		 $pdf->SetFont('Arial','B',8);
		 $pdf->setXY($mzx+127,$mzy+5); $pdf->Cell(100,5,$vetorRaioX[10].'/'.substr($vetorRaioX[8],6),0,0,'L');//numero da amostra
		 $pdf->SetFont('Arial','',8);
		 //bas e data
 		 $data_BAS=$vetorRaioX[3]; 
	     $numero=substr($data_BAS,10);
	     $ano=substr($data_BAS,6,4);
    	 $pdf->setXY($mzx+120,$mzy+8); $pdf->Cell(100,5,$numero.'/'.$ano,0,0,'L');//numero bas
		 $pdf->setXY($mzx+16,$mzy+24); $pdf->Cell(100,5,$vetorRaioX[43],0,0,'L');//especie
		 $pdf->setXY($mzx+16,$mzy+28); $pdf->Cell(100,5,$vetorRaioX[42],0,0,'L');//cultivar
		 $pdf->setXY($mzx+16,$mzy+32); $pdf->Cell(100,5,$vetorRaioX[9],0,0,'L');//lote
		 $pdf->setXY($mzx+16,$mzy+36); $pdf->Cell(100,5,$vetorRaioX[8],0,0,'L');//recebida em
		 $pdf->setXY($mzx+16,$mzy+40); $pdf->Cell(100,5,$vetorRaioX[44],0,0,'L');//requerente
		 $pdf->setXY($mzx+113,$mzy+28); $pdf->Cell(100,5,$vetorRaioX[48],0,0,'L');//safra
		 $pdf->setXY($mzx+113,$mzy+32); $pdf->Cell(100,5,$vetorRaioX[46],0,0,'L');//representatividade
		 $pdf->setXY($mzx+113,$mzy+36); $pdf->Cell(100,5,$vetorRaioX[56],0,0,'L');//peneira
		 $pdf->setXY($mzx+113,$mzy+40); $pdf->Cell(100,5,$vetorRaioX[57],0,0,'L');//procedencia
		 $pdf->setXY($mzx+145,$mzy+28); $pdf->Cell(100,5,$vetorRaioX[53],0,0,'L');//categoria
		 $pdf->setXY($mzx+145,$mzy+32); $pdf->Cell(100,5,$vetorRaioX[60],0,0,'L');//balanca
		 $pdf->setXY($mzx+145,$mzy+36); $pdf->Cell(100,5,$vetorRaioX[58],0,0,'L');//tratada
		 $pdf->setXY($mzx+171,$mzy+32); $pdf->Cell(100,5,$vetorRaioX[59],0,0,'L');//peso da amostra
         //setor pureza
		 //calcula impurezas
         $impureza=$vetorRaioX[23]+$vetorRaioX[24];//soma impurezas
         $pesoFinal=$vetorRaioX[23]+$vetorRaioX[24]+$vetorRaioX[22];//peso final(os+mi+pu)
         $difAT_PF=$vetorRaioX[21]-$pesoFinal;//diferenca AT-PF
         //pesos
		 $pdf->setXY($mzx+37,$mzy+59); $pdf->Cell(100,5,$vetorRaioX[21],0,0,'L');//peso amostra trabalho
		 $pdf->setXY($mzx+37,$mzy+64); $pdf->Cell(100,5,$vetorRaioX[22],0,0,'L');////peso pu
		 $pdf->setXY($mzx+37,$mzy+69); $pdf->Cell(100,5,$vetorRaioX[24],0,0,'L');////peso mi
		 $pdf->setXY($mzx+37,$mzy+74); $pdf->Cell(100,5,$vetorRaioX[23],0,0,'L');////peso os
		 $pdf->setXY($mzx+37,$mzy+79); $pdf->Cell(100,5,$pesoFinal,0,0,'L');//////peso final(os+mi+pu)  
         
         //percentagens
		 $pdf->setXY($mzx+58,$mzy+64); $pdf->Cell(100,5,$vetorRaioX[15],0,0,'L');////purez%
		 $pdf->setXY($mzx+58,$mzy+69); $pdf->Cell(100,5,$vetorRaioX[25],0,0,'L');////mi%
		 $pdf->setXY($mzx+58,$mzy+74); $pdf->Cell(100,5,$vetorRaioX[26],0,0,'L');////os%
	     //natureza do material inerte
		 $pdf->setXY($mzx+105,$mzy+59); $pdf->Cell(100,5,$vetorRaioX[55],0,0,'L');//natureza do material inerte
		 //contaminantes
		 $vetorRXOESP=$objetocalculoRaioX-> captura_registros_invasorasRX("1OES",$amostraLong);
		 $vetorRXSILV=$objetocalculoRaioX-> captura_registros_invasorasRX("2SIL",$amostraLong);
		 $vetorRXNOCT=$objetocalculoRaioX-> captura_registros_invasorasRX("3NOT",$amostraLong);
		 $vetorRXNOCP=$objetocalculoRaioX-> captura_registros_invasorasRX("4NOP",$amostraLong);
		 $limiteOESP=sizeof($vetorRXOESP)-2;
		 $limiteSILV=sizeof($vetorRXSILV)-2;
		 $limiteNOCT=sizeof($vetorRXNOCT)-2;
		 $limiteNOCP=sizeof($vetorRXNOCP)-2;
         $reanLong=$vetorRaioX[62];		 
	   	 $vetorLeiturasGerminacao=$objetocalculoRaioX->leiturasGerminacao($reanLong); 
		 
		 
		 
		 //imprime oesp
		 $yLocal=$mzy+96;
		 $xLocal=$mzx+2;
		 for($i=1;$i<=$limiteOESP;$i++):
		   $yLocal+=3;
		   $pdf->SetFont('Arial','I',8);
		   $pdf->setXY($xLocal,$yLocal); $pdf->Cell(47,3,$vetorRXOESP[$i][0],0,0,'L');//nome contaminante
		   $pdf->SetFont('Arial','',8);
		   $pdf->Cell(10,3,$vetorRXOESP[$i][1],0,0,'L');//nome contaminante
         endfor;	
		 $pdf->setXY(64,$mzy+126); $pdf->Cell(100,5,$vetorRXOESP[0][0],0,0,'L');//////total oesp  
		 //imprime silv
		 $yLocal=$mzy+96;
		 $xLocal=$mzx+57;
		 for($i=1;$i<=$limiteSILV;$i++):
		   $yLocal+=3;
		   $pdf->SetFont('Arial','I',8);
		   $pdf->setXY($xLocal,$yLocal); $pdf->Cell(46,3,$vetorRXSILV[$i][0],0,0,'L');//nome contaminante
		   $pdf->SetFont('Arial','',8);
		   $pdf->Cell(10,3,$vetorRXSILV[$i][1],0,0,'L');//nome contaminante
         endfor;	
		 $pdf->setXY(118,$mzy+126); $pdf->Cell(100,5,$vetorRXSILV[0][0],0,0,'L');//////total silv
		 //imprime NOCT
		 $yLocal=$mzy+96;
		 $xLocal=$mzx+112;
		 for($i=1;$i<=$limiteNOCT;$i++):
		   $yLocal+=3;
		   $pdf->SetFont('Arial','I',8);
		   $pdf->setXY($xLocal,$yLocal); $pdf->Cell(58,3,$vetorRXNOCT[$i][0],0,0,'L');//nome contaminante
		   $pdf->SetFont('Arial','',8);
		   $pdf->Cell(10,3,$vetorRXNOCT[$i][1],0,0,'L');//nome contaminante
         endfor;	
		 $pdf->setXY(183,$mzy+126); $pdf->Cell(100,5,$vetorRXNOCT[0][0],0,0,'L');//////total noct 
		 //imprime NOCP
		 $xLocal=$mzx+112;
		 for($i=1;$i<=$limiteNOCP;$i++):
		   $yLocal+=3;
		   $pdf->SetFont('Arial','I',8);
		   $pdf->setXY($xLocal,$yLocal); $pdf->Cell(66,3,$vetorRXNOCP[$i][0],0,0,'L');//nome contaminante
		   $pdf->SetFont('Arial','',8);
		   $pdf->Cell(10,3,$vetorRXNOCP[$i][1],0,0,'L');//nome contaminante
         endfor;	
		 $pdf->setXY(192,$mzy+126); $pdf->Cell(100,5,$vetorRXNOCP[0][0],0,0,'L');//////total nocp 
         //imprime dados do teste de germinacao(temperatura,tratamento etc)
		 $pdf->setXY($mzy+15,$mzy+135); $pdf->Cell(100,5,$vetorRaioX[39],0,0,'L');//inicio
		 $pdf->setXY($mzy+15,$mzy+139); $pdf->Cell(100,5,$vetorRaioX[36],0,0,'L');//substrato
		 $pdf->setXY($mzy+15,$mzy+143); $pdf->Cell(100,5,$vetorRaioX[35],0,0,'L');//temperatura
		 $pdf->setXY($mzy+15,$mzy+147); $pdf->Cell(100,5,$vetorRaioX[61],0,0,'L');//tratamento
		 $pdf->setXY($mzy+63,$mzy+139); $pdf->Cell(100,5,$vetorRaioX[38],0,0,'L');//germinador
         //imprime leituras de germinacao
	 	 //SETOR germinacao normais-->
		 //vai jogar as 4 linhas
		 $colunas=4;
		 $linhas=4;//indice da matriz
         $yLocal=168;		 
		 for($i=1;$i<=$linhas;$i++):
		    $xLocal=$mzx+11;
            $yLocal+=4.8;
	    	for($j=1;$j<=$colunas;$j++):
		      $xLocal+=15.3;
		      $indice=$i.$j;//linha e coluna concatenados 
			  $pdf->setXY($xLocal,$yLocal); $pdf->Cell(30,5,$vetorLeiturasGerminacao[$indice],0,0,'L');//leitura
		    endfor;
	    endfor; 	
		 
	 	 //SETOR germinacao Anormais-->
		 //vai jogar as 4 linhas
		 $colunas=4;
		 $linhas=5+4;//indice da matriz
         $yLocal=189;		 
		 for($i=5;$i<=$linhas;$i++):
		    $xLocal=$mzx+11;
            $yLocal+=4.8;
	    	for($j=1;$j<=$colunas;$j++):
		      $xLocal+=15.3;
		      $indice=$i.$j;//linha e coluna concatenados 
			  $pdf->setXY($xLocal,$yLocal); $pdf->Cell(30,5,$vetorLeiturasGerminacao[$indice],0,0,'L');//leitura
		    endfor;
	    endfor; 	

	 	 //SETOR germinacao DURAS E DORMENTES
		 //vai jogar as 4 linhas
		 $colunas=4;
		 $linhas=14;//indice da matriz
         $yLocal=209;		 
		 for($i=14;$i<=$linhas;$i++):
		    $xLocal=$mzx+11;
            $yLocal+=4.8;
	    	for($j=1;$j<=$colunas;$j++):
		      $xLocal+=15.3;
		      $indice=$i.$j;//linha e coluna concatenados 
			  $pdf->setXY($xLocal,$yLocal); $pdf->Cell(30,5,$vetorLeiturasGerminacao[$indice],0,0,'L');//leitura
		    endfor;
	    endfor; 	

	 	 //SETOR germinacao MORTAS-->
		 //vai jogar as 4 linhas
		 $colunas=4;
		 $linhas=13;//indice da matriz
         $yLocal=229;		 
		 for($i=13;$i<=$linhas;$i++):
		    $xLocal=$mzx+11;
            $yLocal+=4.8;
	    	for($j=1;$j<=$colunas;$j++):
		      $xLocal+=15.3;
		      $indice=$i.$j;//linha e coluna concatenados 
			  $pdf->setXY($xLocal,$yLocal); $pdf->Cell(30,5,$vetorLeiturasGerminacao[$indice],0,0,'L');//leitura
		    endfor;
	    endfor; 
		//imprime as medias do teste padrao
    	$pdf->setXY($mzx+84,$mzy+165); $pdf->Cell(30,5,$vetorRaioX[14],0,0,'L');//normais
    	$pdf->setXY($mzx+84,$mzy+185); $pdf->Cell(30,5,$vetorRaioX[64],0,0,'L');//anormais
    	$pdf->setXY($mzx+84,$mzy+205); $pdf->Cell(30,5,$vetorRaioX[66],0,0,'L');//duras + dormentes
    	$pdf->setXY($mzx+84,$mzy+225); $pdf->Cell(30,5,$vetorRaioX[65],0,0,'L');//mortas
		
			

   //OBSERVACOES   E DETERMINACOES ADICIONAIS
   //AQUI VAI MONTAR A STRING COM BASE NOS TESTES FEITOS QUE DIFEREM DE -N- 
   $estring="";
	if($vetorRaioX[13]!="")$estring=$estring."  PMS=".$vetorRaioX[13];
	if($vetorRaioX[18]!="")$estring=$estring."  Stes infestadas=".$vetorRaioX[18];
	$pdf->setXY($mzx+2,$mzy+238); $pdf->Cell(30,5,$estring,0,0,'L');//DETES
    
	$pdf->setXY($mzx+2,$mzy+248); $pdf->Cell(100,5,$vetorRaioX[63],0,0,'L');//observacoes da amostra


   endif;//TESTA SE É CABECALHO


   endwhile; //este while abre a amostras atraves do campo amostraLong
   endfor;//este endfor encerra a varredura da amostra inicial ate aa final  
   ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");
		
?>
